/asana-projects | Type: Application | PCID required: Yes
Tools
asana_projects_add_custom_field_setting_for_project
Add a custom field to a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"custom_field",
"custom_field.asana_created_field",
"custom_field.created_by",
"custom_field.created_by.name",
"custom_field.currency_code",
"custom_field.custom_label",
"custom_field.custom_label_position",
"custom_field.date_value",
"custom_field.date_value.date",
"custom_field.date_value.date_time",
"custom_field.default_access_level",
"custom_field.description",
"custom_field.display_value",
"custom_field.enabled",
"custom_field.enum_options",
"custom_field.enum_options.color",
"custom_field.enum_options.enabled",
"custom_field.enum_options.name",
"custom_field.enum_value",
"custom_field.enum_value.color",
"custom_field.enum_value.enabled",
"custom_field.enum_value.name",
"custom_field.format",
"custom_field.has_notifications_enabled",
"custom_field.id_prefix",
"custom_field.input_restrictions",
"custom_field.is_formula_field",
"custom_field.is_global_to_workspace",
"custom_field.is_value_read_only",
"custom_field.multi_enum_values",
"custom_field.multi_enum_values.color",
"custom_field.multi_enum_values.enabled",
"custom_field.multi_enum_values.name",
"custom_field.name",
"custom_field.number_value",
"custom_field.people_value",
"custom_field.people_value.name",
"custom_field.precision",
"custom_field.privacy_setting",
"custom_field.reference_value",
"custom_field.reference_value.name",
"custom_field.representation_type",
"custom_field.resource_subtype",
"custom_field.text_value",
"custom_field.type",
"is_important",
"parent",
"parent.name",
"project",
"project.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"custom_field": {
"description": "Custom Field"
},
"is_important": {
"type": "boolean",
"description": "Whether this field should be considered important to this container (for instance, to display in the list view of items in the container)."
},
"insert_before": {
"type": "string",
"description": "A gid of a Custom Field Setting on this container, before which the new Custom Field Setting will be added. `insert_before` and `insert_after` parameters cannot both be specified."
},
"insert_after": {
"type": "string",
"description": "A gid of a Custom Field Setting on this container, after which the new Custom Field Setting will be added. `insert_before` and `insert_after` parameters cannot both be specified."
}
},
"required": [
"custom_field"
]
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_add_followers_for_project
Add followers to a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"owner",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"followers": {
"type": "string",
"description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
}
},
"required": [
"followers"
]
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_add_members_for_project
Add users to a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"owner",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"members": {
"type": "string",
"description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
}
},
"required": [
"members"
]
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_create_project
Create a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"owner",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID"
]
}
asana_projects_create_project_brief
Create a project brief Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"html_text",
"permalink_url",
"project",
"project.name",
"text",
"title"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_create_project_for_team
Create a project in a team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_gid | string | Yes | — | Globally unique identifier for the team. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_gid": {
"type": "string",
"description": "Globally unique identifier for the team."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"owner",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"team_gid"
]
}
asana_projects_create_project_for_workspace
Create a project in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_gid": {
"type": "string",
"description": "Globally unique identifier for the workspace or organization."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"owner",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"workspace_gid"
]
}
asana_projects_create_project_status_for_project
Create a project status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"author",
"author.name",
"color",
"created_at",
"created_by",
"created_by.name",
"html_text",
"modified_at",
"text",
"title"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_delete_project
Delete a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_delete_project_brief
Delete a project brief Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_brief_gid | string | Yes | — | Globally unique identifier for the project brief. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_brief_gid": {
"type": "string",
"description": "Globally unique identifier for the project brief."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"project_brief_gid"
]
}
asana_projects_delete_project_status
Delete a project status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_status_gid | string | Yes | — | The project status update to get. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_status_gid": {
"type": "string",
"description": "The project status update to get."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"project_status_gid"
]
}
asana_projects_delete_project_template
Delete a project template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_template_gid | string | Yes | — | Globally unique identifier for the project template. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_template_gid": {
"type": "string",
"description": "Globally unique identifier for the project template."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"project_template_gid"
]
}
asana_projects_duplicate_project
Duplicate a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"new_graph_export",
"new_graph_export.completed_at",
"new_graph_export.created_at",
"new_graph_export.download_url",
"new_portfolio",
"new_portfolio.name",
"new_project",
"new_project.name",
"new_project_template",
"new_project_template.name",
"new_resource_export",
"new_resource_export.completed_at",
"new_resource_export.created_at",
"new_resource_export.download_url",
"new_task",
"new_task.created_by",
"new_task.name",
"new_task.resource_subtype",
"resource_subtype",
"status"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"name": {
"type": "string",
"description": "The name of the new project."
},
"team": {
"type": "string",
"description": "Sets the team of the new project. If team is not defined, the new project will be in the same team as the the original project."
},
"include": {
"type": "string",
"description": "A comma-separated list of elements to include when duplicating a project. Some elements are automatically included and cannot be excluded, while others are **optional** and must be explicitly specified in this field. **Auto-included fields (non-configurable)** - Tasks - [Project Views](https://asana.com/features/project-management/project-views) (i.e., tabs in a project such as List, Board, Dashboard, etc.) - [Rules](https://help.asana.com/s/article/rules) *Note: The Owner of the Rules copied to the new project is the user who performs the API call. If the duplication is performed using a [Service Account](/docs/authentication#/service-account), note that Service Accounts cannot access the UI to modify or pause Rules. To prevent unwanted automation behavior, consider pausing Rules in the source project before duplication — their active/paused state is preserved in the new project.* **Optional fields (configurable)** - allocations - forms - members - notes - permissions - task_assignee - task_attachments - task_dates - task_dependencies - task_followers - task_notes - task_projects - task_subtasks - task_tags - task_templates - task_type_default"
},
"schedule_dates": {
"type": "object",
"description": "A dictionary of options to auto-shift dates. `task_dates` must be included to use this option. Requires `should_skip_weekends` and either `start_on` or `due_on`, but not both."
}
},
"required": [
"name"
]
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_get_for_task
Get projects a task is in Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_gid": {
"type": "string",
"description": "The task to operate on."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"offset",
"owner",
"path",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"uri",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"task_gid"
]
}
asana_projects_get_for_workspace
Get all projects in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
archived | boolean | No | — | Only return projects whose archived field takes on the value of this parameter. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_gid": {
"type": "string",
"description": "Globally unique identifier for the workspace or organization."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"archived": {
"type": "boolean",
"description": "Only return projects whose `archived` field takes on the value of this parameter."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"offset",
"owner",
"path",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"uri",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"workspace_gid"
]
}
asana_projects_get_project
Get a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
"custom_field_settings.custom_field.created_by",
"custom_field_settings.custom_field.created_by.name",
"custom_field_settings.custom_field.currency_code",
"custom_field_settings.custom_field.custom_label",
"custom_field_settings.custom_field.custom_label_position",
"custom_field_settings.custom_field.date_value",
"custom_field_settings.custom_field.date_value.date",
"custom_field_settings.custom_field.date_value.date_time",
"custom_field_settings.custom_field.default_access_level",
"custom_field_settings.custom_field.description",
"custom_field_settings.custom_field.display_value",
"custom_field_settings.custom_field.enabled",
"custom_field_settings.custom_field.enum_options",
"custom_field_settings.custom_field.enum_options.color",
"custom_field_settings.custom_field.enum_options.enabled",
"custom_field_settings.custom_field.enum_options.name",
"custom_field_settings.custom_field.enum_value",
"custom_field_settings.custom_field.enum_value.color",
"custom_field_settings.custom_field.enum_value.enabled",
"custom_field_settings.custom_field.enum_value.name",
"custom_field_settings.custom_field.format",
"custom_field_settings.custom_field.has_notifications_enabled",
"custom_field_settings.custom_field.id_prefix",
"custom_field_settings.custom_field.input_restrictions",
"custom_field_settings.custom_field.is_formula_field",
"custom_field_settings.custom_field.is_global_to_workspace",
"custom_field_settings.custom_field.is_value_read_only",
"custom_field_settings.custom_field.multi_enum_values",
"custom_field_settings.custom_field.multi_enum_values.color",
"custom_field_settings.custom_field.multi_enum_values.enabled",
"custom_field_settings.custom_field.multi_enum_values.name",
"custom_field_settings.custom_field.name",
"custom_field_settings.custom_field.number_value",
"custom_field_settings.custom_field.people_value",
"custom_field_settings.custom_field.people_value.name",
"custom_field_settings.custom_field.precision",
"custom_field_settings.custom_field.privacy_setting",
"custom_field_settings.custom_field.reference_value",
"custom_field_settings.custom_field.reference_value.name",
"custom_field_settings.custom_field.representation_type",
"custom_field_settings.custom_field.resource_subtype",
"custom_field_settings.custom_field.text_value",
"custom_field_settings.custom_field.type",
"custom_field_settings.is_important",
"custom_field_settings.parent",
"custom_field_settings.parent.name",
"custom_field_settings.project",
"custom_field_settings.project.name",
"custom_fields",
"custom_fields.date_value",
"custom_fields.date_value.date",
"custom_fields.date_value.date_time",
"custom_fields.display_value",
"custom_fields.enabled",
"custom_fields.enum_options",
"custom_fields.enum_options.color",
"custom_fields.enum_options.enabled",
"custom_fields.enum_options.name",
"custom_fields.enum_value",
"custom_fields.enum_value.color",
"custom_fields.enum_value.enabled",
"custom_fields.enum_value.name",
"custom_fields.id_prefix",
"custom_fields.input_restrictions",
"custom_fields.is_formula_field",
"custom_fields.multi_enum_values",
"custom_fields.multi_enum_values.color",
"custom_fields.multi_enum_values.enabled",
"custom_fields.multi_enum_values.name",
"custom_fields.name",
"custom_fields.number_value",
"custom_fields.representation_type",
"custom_fields.text_value",
"custom_fields.type",
"default_access_level",
"default_view",
"due_date",
"due_on",
"followers",
"followers.name",
"html_notes",
"icon",
"members",
"members.name",
"minimum_access_level_for_customization",
"minimum_access_level_for_sharing",
"modified_at",
"name",
"notes",
"owner",
"permalink_url",
"privacy_setting",
"project_brief",
"public",
"start_on",
"team",
"team.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_get_project_brief
Get a project brief Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_brief_gid | string | Yes | — | Globally unique identifier for the project brief. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_brief_gid": {
"type": "string",
"description": "Globally unique identifier for the project brief."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"html_text",
"permalink_url",
"project",
"project.name",
"text",
"title"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_brief_gid"
]
}
asana_projects_get_project_membership
Get a project membership Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_membership_gid | string | Yes | — | Project Membership Gid |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_membership_gid": {
"type": "string",
"description": "Project Membership Gid"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"access_level",
"member",
"member.name",
"parent",
"parent.name",
"project",
"project.name",
"user",
"user.name",
"write_access"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_membership_gid"
]
}
asana_projects_get_project_memberships_for_project
Get memberships from a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
user | string | No | — | A string identifying a user. This can either be the string “me”, an email, or the gid of a user. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"user": {
"type": "string",
"description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"access_level",
"member",
"member.name",
"offset",
"parent",
"parent.name",
"path",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_get_project_portfolio_setting
Get a project portfolio setting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_portfolio_setting_gid | string | Yes | — | Globally unique identifier for the project portfolio setting. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_portfolio_setting_gid": {
"type": "string",
"description": "Globally unique identifier for the project portfolio setting."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"is_access_control_inherited",
"portfolio",
"project"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_portfolio_setting_gid"
]
}
asana_projects_get_project_portfolio_settings_for_portfolio
Get project portfolio settings for a portfolio Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
portfolio_gid | string | Yes | — | Globally unique identifier for the portfolio. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"portfolio_gid": {
"type": "string",
"description": "Globally unique identifier for the portfolio."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"is_access_control_inherited",
"offset",
"path",
"portfolio",
"project",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"portfolio_gid"
]
}
asana_projects_get_project_portfolio_settings_for_project
Get project portfolio settings for a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"is_access_control_inherited",
"offset",
"path",
"portfolio",
"project",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_get_project_status
Get a project status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_status_gid | string | Yes | — | The project status update to get. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_status_gid": {
"type": "string",
"description": "The project status update to get."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"author",
"author.name",
"color",
"created_at",
"created_by",
"created_by.name",
"html_text",
"modified_at",
"text",
"title"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_status_gid"
]
}
asana_projects_get_project_statuses_for_project
Get statuses from a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"author",
"author.name",
"color",
"created_at",
"created_by",
"created_by.name",
"html_text",
"modified_at",
"offset",
"path",
"text",
"title",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_projects_get_project_template
Get a project template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_template_gid | string | Yes | — | Globally unique identifier for the project template. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_template_gid": {
"type": "string",
"description": "Globally unique identifier for the project template."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"description",
"html_description",
"name",
"owner",
"public",
"requested_dates",
"requested_dates.description",
"requested_dates.name",
"requested_roles",
"requested_roles.name",
"team",
"team.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_template_gid"
]
}
asana_projects_get_project_templates
Get multiple project templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
workspace | string | No | — | The workspace to filter results on. |
team | string | No | — | The team to filter projects on. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"workspace": {
"type": "string",
"description": "The workspace to filter results on."
},
"team": {
"type": "string",
"description": "The team to filter projects on."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"description",
"html_description",
"name",
"offset",
"owner",
"path",
"public",
"requested_dates",
"requested_dates.description",
"requested_dates.name",
"requested_roles",
"requested_roles.name",
"team",
"team.name",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID"
]
}
asana_projects_get_project_templates_for_team
Get a team’s project templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_gid | string | Yes | — | Globally unique identifier for the team. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_gid": {
"type": "string",
"description": "Globally unique identifier for the team."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"description",
"html_description",
"name",
"offset",
"owner",
"path",
"public",
"requested_dates",
"requested_dates.description",
"requested_dates.name",
"requested_roles",
"requested_roles.name",
"team",
"team.name",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"team_gid"
]
}
asana_projects_get_projects
Get multiple projects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
workspace | string | No | — | The workspace or organization to filter projects on. |
team | string | No | — | Deprecated. The team to filter projects on. Please use GET /memberships with { member: team, resource_subtype: project_membership } instead. |
archived | boolean | No | — | Only return projects whose archived field takes on the value of this parameter. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"workspace": {
"type": "string",
"description": "The workspace or organization to filter projects on."
},
"team": {
"type": "string",
"description": "**Deprecated.** The team to filter projects on. Please use `GET /memberships` with `{ member: team, resource_subtype: project_membership }` instead."
},
"archived": {
"type": "boolean",
"description": "Only return projects whose `archived` field takes on the value of this parameter."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"archived",
"color",
"completed",
"completed_at",
"completed_by",
"completed_by.name",
"created_at",
"created_from_template",
"created_from_template.name",
"current_status",
"current_status.author",
"current_status.author.name",
"current_status.color",
"current_status.created_at",
"current_status.created_by",
"current_status.created_by.name",
"current_status.html_text",
"current_status.modified_at",
"current_status.text",
"current_status.title",
"current_status_update",
"current_status_update.resource_subtype",
"current_status_update.title",
"custom_field_settings",
"custom_field_settings.custom_field",
"custom_field_settings.custom_field.asana_created_field",
[...]
